<?php include "app_modal.php"; ?>
<script src="https://cdnjs.cloudflare.com/ajax/libs/bootstrap/5.1.3/js/bootstrap.min.js"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/wow/1.0.2/wow.min.js"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/Swiper/11.0.5/swiper-bundle.min.js"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/fancybox/3.1.20/jquery.fancybox.min.js"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/intl-tel-input/17.0.13/js/intlTelInput-jquery.min.js"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/jquery-validate/1.9.0/jquery.validate.min.js"></script>
<script src="<?= site_url; ?>/designer/js/themes.js"></script>

<a href="tel:<?=$admin_res['mobile'];?>" class="cal-btn" title="Call Now">
    <svg xmlns="http://www.w3.org/2000/svg" width="16" height="16" fill="currentColor" class="bi bi-telephone-fill" viewBox="0 0 16 16">
        <path fill-rule="evenodd" d="M1.885.511a1.745 1.745 0 0 1 2.61.163L6.29 2.98c.329.423.445.974.315 1.494l-.547 2.19a.68.68 0 0 0 .178.643l2.457 2.457a.68.68 0 0 0 .644.178l2.189-.547a1.75 1.75 0 0 1 1.494.315l2.306 1.794c.829.645.905 1.87.163 2.611l-1.034 1.034c-.74.74-1.846 1.065-2.877.702a18.6 18.6 0 0 1-7.01-4.42 18.6 18.6 0 0 1-4.42-7.009c-.362-1.03-.037-2.137.703-2.877z" />
    </svg>
</a>
<a target="_blank" href="https://api.whatsapp.com/send?phone=<?= $admin_res['whatsapp_no'] ;?>&text=Please%20Help%20To%20Me" class="whatapp_btn" title="Whatsapp Now"><svg xmlns="http://www.w3.org/2000/svg" width="16" height="16" fill="currentColor" viewBox="0 0 16 16"><path d="M13.601 2.326A7.854 7.854 0 0 0 7.994 0C3.627 0 .068 3.558.064 7.926c0 1.399.366 2.76 1.057 3.965L0 16l4.204-1.102a7.933 7.933 0 0 0 3.79.965h.004c4.368 0 7.926-3.558 7.93-7.93A7.898 7.898 0 0 0 13.6 2.326zM7.994 14.521a6.573 6.573 0 0 1-3.356-.92l-.24-.144-2.494.654.666-2.433-.156-.251a6.56 6.56 0 0 1-1.007-3.505c0-3.626 2.957-6.584 6.591-6.584a6.56 6.56 0 0 1 4.66 1.931 6.557 6.557 0 0 1 1.928 4.66c-.004 3.639-2.961 6.592-6.592 6.592zm3.615-4.934c-.197-.099-1.17-.578-1.353-.646-.182-.065-.315-.099-.445.099-.133.197-.513.646-.627.775-.114.133-.232.148-.43.05-.197-.1-.836-.308-1.592-.985-.59-.525-.985-1.175-1.103-1.372-.114-.198-.011-.304.088-.403.087-.088.197-.232.296-.346.1-.114.133-.198.198-.33.065-.134.034-.248-.015-.347-.05-.099-.445-1.076-.612-1.47-.16-.389-.323-.335-.445-.34-.114-.007-.247-.007-.38-.007a.729.729 0 0 0-.529.247c-.182.198-.691.677-.691 1.654 0 .977.71 1.916.81 2.049.098.133 1.394 2.132 3.383 2.992.47.205.84.326 1.129.418.475.152.904.129 1.246.08.38-.058 1.171-.48 1.338-.943.164-.464.164-.86.114-.943-.049-.084-.182-.133-.38-.232z"></path></svg></a>
<button class="business-enq" data-bs-toggle="modal" data-bs-target="#sendEnquiry">
    <span class="icon"><svg xmlns="http://www.w3.org/2000/svg" width="16" height="16" fill="currentColor" class="bi bi-chat-square-text" viewBox="0 0 16 16">
            <path d="M14 1a1 1 0 0 1 1 1v8a1 1 0 0 1-1 1h-2.5a2 2 0 0 0-1.6.8L8 14.333 6.1 11.8a2 2 0 0 0-1.6-.8H2a1 1 0 0 1-1-1V2a1 1 0 0 1 1-1zM2 0a2 2 0 0 0-2 2v8a2 2 0 0 0 2 2h2.5a1 1 0 0 1 .8.4l1.9 2.533a1 1 0 0 0 1.6 0l1.9-2.533a1 1 0 0 1 .8-.4H14a2 2 0 0 0 2-2V2a2 2 0 0 0-2-2z"></path>
            <path d="M3 3.5a.5.5 0 0 1 .5-.5h9a.5.5 0 0 1 0 1h-9a.5.5 0 0 1-.5-.5M3 6a.5.5 0 0 1 .5-.5h9a.5.5 0 0 1 0 1h-9A.5.5 0 0 1 3 6m0 2.5a.5.5 0 0 1 .5-.5h5a.5.5 0 0 1 0 1h-5a.5.5 0 0 1-.5-.5"></path>
        </svg></span>
    Consult With Astrologer
</button>

<script>
    $(".telePhone").intlTelInput({
        preferredCountries: ["in", "us"],
        initialCountry: "in",
        separateDialCode: true,
    });


    function setupPhoneValidation(formId) {
        $(formId + ' .telePhone').on('countrychange', function() {
            let countryData = $(this).intlTelInput("getSelectedCountryData");
            let validator = $(formId).validate();

            if (countryData.iso2 === 'in') {
                $(this).attr('maxlength', 10);
                validator.settings.rules.mobile.minlength = 10;
                validator.settings.rules.mobile.maxlength = 10;
                validator.settings.messages.mobile.minlength = "Your Mobile No. must be at least 10 digits long";
                validator.settings.messages.mobile.maxlength = "Your Mobile No. must be at least 10 digits long";
            } else {
                $(this).attr('maxlength', 17); // Increase maxlength for other countries
                validator.settings.rules.mobile.minlength = 4; // Set a minimum length
                validator.settings.rules.mobile.maxlength = 17; // Allow up to 17 digits
                validator.settings.messages.mobile.minlength = "Your Mobile No. must be 4-17 digits long";
                validator.settings.messages.mobile.maxlength = "Your Mobile No. must be 4-17 digits long";
            }

            $(this).valid();
        });
    }



    $(document).ready(function() {
        setupPhoneValidation("#contact_form");
        $("#contact_form").validate({
            rules: {
                name: "required",
                message: {

                    required: true,

                },

                location: {

                    required: true,

                },

                email: {

                    required: true,

                },

                mobile: {

                    required: true,

                    number: true,

                    minlength: 10,

                    maxlength: 10,

                }

            },

            messages: {

                name: "Please enter your name",

                message: {

                    required: "Please enter your message",

                },

                email: {

                    required: "Please enter your email address"

                },

                location: {

                    required: "Please enter your location",

                },

                mobile: {

                    required: "Please enter your mobile no.",

                    number: "Mobile No. contains only numbers",

                    minlength: "Your Mobile No. must be 10 digits long",

                    maxlength: "Your Mobile No. must be 10 digits long",

                }

            },

            submitHandler: function(form) {

                $.ajax({

                    url: '<?= site_url; ?>/contact.php',

                    type: 'POST',

                    data: $('#contact_form').serialize(),

                    dataType: 'json',

                    success: function(response) {

                        if (response.status == true) {

                            $('#pop_up').text(response.message_response).css('color',

                                'green');

                            $('#contact_form')[0].reset();

                            grecaptcha.reset();

                        } else {

                            $('#pop_up').text(response.message_response).css('color',

                                'red');

                        }

                    }

                });

            }

        });

    });






    $(document).ready(function() {
        setupPhoneValidation("#enq_pop_form1");

        $("#enq_pop_form1").validate({
            rules: {
                name: "required",
                message: {
                    required: true,
                },
                location: {
                    required: true,
                },
                email: {
                    required: true,
                },
                mobile: {
                    required: true,
                    number: true,
                    minlength: 10,
                    maxlength: 10,
                }
            },
            messages: {
                name: "Please enter your name",
                message: {
                    required: "Please enter your message",
                },
                email: {
                    required: "Please enter your email address"
                },
                location: {
                    required: "Please enter Your location",
                },
                mobile: {
                    required: "Please enter your mobile no.",
                    number: "Mobile No. contains only numbers",
                    minlength: "Your Mobile No. must be 10 digits long",
                    maxlength: "Your Mobile No. must be 10 digits long",
                }
            },
            submitHandler: function(form) {
                $.ajax({
                    url: '<?= site_url; ?>/enquiry_popup.php',
                    type: 'POST',
                    data: $('#enq_pop_form1').serialize(),
                    dataType: 'json',
                    success: function(response) {
                        if (response.status == true) {
                            $('#enq_pop_up').text(response.message_response).css('color',
                                'green');
                            $('#enq_pop_form1')[0].reset();
                            grecaptcha.reset();
                        } else {
                            $('#enq_pop_up').text(response.message_response).css('color',
                                'red');
                        }
                    }
                });
            }
        });
    });



    $(document).ready(function() {
        setupPhoneValidation("#product_pop_form");
        $("#product_pop_form").validate({
            rules: {
                name: "required",
                message: {
                    required: true,
                },
                location: {
                    required: true,
                },
                email: {
                    required: true,
                },
                mobile: {
                    required: true,
                    number: true,
                    minlength: 10,
                    maxlength: 10,
                }
            },
            messages: {
                name: "Please enter your name",
                message: {
                    required: "Please enter your message",
                },
                email: {
                    required: "Please enter your email address"
                },
                location: {
                    required: "Please enter Your Location",
                },
                mobile: {
                    required: "Please enter your mobile no.",
                    number: "Mobile No. contains only numbers",
                    minlength: "Your Mobile No. must be 10 digits long",
                    maxlength: "Your Mobile No. must be 10 digits long",
                }
            },
            submitHandler: function(form) {
                $.ajax({
                    url: '<?= site_url; ?>/enquirycat_popup.php',
                    type: 'POST',
                    data: $('#product_pop_form').serialize(),
                    dataType: 'json',
                    success: function(response) {
                        if (response.status == true) {
                            $('#cat_pop_up').text(response.message_response).css('color',
                                'green');
                            $('#product_pop_form')[0].reset();
                            grecaptcha.reset();
                        } else {
                            $('#cat_pop_up').text(response.message_response).css('color',
                                'red');
                        }
                    }
                });
            }
        });
    });


    $(document).ready(function() {
        setupPhoneValidation("#callback_form");
        $("#callback_form").validate({

            rules: {

                name: "required",

                mobile: {

                    required: true,

                    number: true,

                    minlength: 6,

                    maxlength: 15,

                }

            },

            messages: {

                name: "Please enter your name",

                mobile: {

                    required: "Please enter your mobile no.",

                    number: "Mobile No. contains only numbers",

                    minlength: "Your Mobile No. must be 6-15 digits long",

                    maxlength: "Your Mobile No. must be 6-15 digits long",

                }

            },

            submitHandler: function(form) {

                $.ajax({

                    url: '<?= site_url; ?>/ajax_enq_action.php',

                    type: 'POST',

                    data: $('#callback_form').serialize(),

                    dataType: 'json',

                    success: function(response) {

                        if (response.status == true) {

                            $('#cpop_up').text(response.message_response).css('color',

                                'green');

                            $('#callback_form')[0].reset();

                            grecaptcha.reset();

                        } else {

                            $('#cpop_up').text(response.message_response).css('color',

                                'red');

                        }

                    }

                });

            }

        });

    });


    $(document).ready(function() {
        setupPhoneValidation("#whatsapp_form");

        $("#whatsapp_form").validate({
            rules: {
                name: "required",
                mobile: {
                    required: true,
                    number: true,
                    minlength: 10,
                    maxlength: 10,
                }
            },
            messages: {
                name: "Please Enter Your Name",
                mobile: {
                    required: "Please Enter Your mobile Number",
                    number: "Mobile Number must be numeric",
                    minlength: "Mobile Number must have 10 digits",
                    maxlength: "Mobile Number must have 10 digits",
                }
            },
        });
    });

    $('#whatsapp_form').submit(function(e) {
        e.preventDefault();
        if (!$('#whatsapp_form').valid()) return; // Prevent invalid form submission

        $(':input[type="submit"]').prop('disabled', true);

        $.ajax({
            url: '<?= site_url; ?>/whatsapp_enq.php',
            type: 'POST',
            dataType: 'json',
            data: $(this).serialize(),
            success: function(result) {
                if (!result.status) {
                    $('.wht_success_message').text('');
                    $('.wht_error_message').text(result.message_response);
                    $(':input[type="submit"]').prop('disabled', false);
                } else {
                    $('.wht_error_message').text('');
                    $('.wht_success_message').text("You Have Successfully Submitted enquiry. We will contact you soon.");
                    $('#whatsapp_form').trigger("reset");
                    window.open(result.message_response, '_blank');
                    $(':input[type="submit"]').prop('disabled', false);
                }
            }
        });
    });

//disabling context menu
document.onkeydown = function(e) {
        if (e.ctrlKey &&
            (e.keyCode === 67 ||
                e.keyCode === 86 ||
                e.keyCode === 85 ||
                e.keyCode === 117)) {
            return false;
        } else {
            return true;
        }
    };
    $(document).keypress("u", function(e) {
        if (e.ctrlKey) {
            return false;
        } else {
            return true;
        }
    });
    document.addEventListener("contextmenu", function(e) {
        e.preventDefault();
    }, false);


    function ValidateAlpha(evt) {
        var keyCode = (evt.which) ? evt.which : evt.keyCode
        if ((keyCode < 65 || keyCode > 90) && (keyCode < 97 || keyCode > 123) && keyCode != 32)
            return false;
        return true;
    }

    function isNumberKey(evt) {
        //var e = evt || window.event;
        var charCode = (evt.which) ? evt.which : evt.keyCode
        if (charCode != 46 && charCode > 31 &&
            (charCode < 48 || charCode > 57))
            return false;
        return true;
    }

    function validateOnlyTextField(element) {
        var str = element.value;
        if (str == ' ') {
            element.value = "";
        }
        if (!(/^[a-zA-Z\s]+$/.test(str))) {
            // console.log('String contain number characters');
            str = str.substr(0, str.length - 1);
            element.value = "";
        }
    }

    $('.iti__country-list li').click(function() {

        $("#code").val($(this).data('dial-code'));

        $(".mobile").val($(this).data('country-code-code'));

        $('#countryName').val($(".iti__country-name", this).text());

        $(".code").val($(this).data('dial-code'));

        $('.countryName').val($(".iti__country-name", this).text());

    })
</script>